This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294172 - [abrt] be: util.py:53:complete_status:IndexError: list index out of range
[abrt] be: util.py:53:complete_status:IndexError: list index out of range
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: be (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:85e53924503d90763d5876da537...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 03:29 EST by Philip Withnall
Modified: 2016-12-20 12:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.87 KB, text/plain)
2015-12-25 03:29 EST, Philip Withnall
no flags Details
File: environ (3.72 KB, text/plain)
2015-12-25 03:29 EST, Philip Withnall
no flags Details

  None (edit)
Description Philip Withnall 2015-12-25 03:29:36 EST
Description of problem:
Tab completing ‘be status ’

Version-Release number of selected component:
be-1.1.1-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/be status --complete
dso_list:       python-libs-2.7.10-8.fc23.x86_64
executable:     /usr/bin/be
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
util.py:53:complete_status:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/be", line 26, in <module>
    sys.exit(libbe.ui.command_line.main())
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 392, in main
    ret = dispatch(ui, command, args)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 304, in dispatch
    options,args = parser.parse_args(args)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 89, in parse_args
    self, args=args, values=values)
  File "/usr/lib64/python2.7/optparse.py", line 1400, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1440, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1515, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.7/optparse.py", line 789, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.7/optparse.py", line 809, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 157, in callback
    self.complete(argument, fragment)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 164, in complete
    comps = self.command.complete(argument, fragment)
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 392, in complete
    ret.extend(self.args[0].completion_callback(self, argument, fragment))
  File "/usr/lib/python2.7/site-packages/libbe/command/util.py", line 53, in complete_status
    bd = sorted(command._get_bugdirs().items())[1]
IndexError: list index out of range

Local variables in innermost frame:
fragment: None
command: <libbe.command.status.Status object at 0x7f34e7fbe550>
argument: None
Comment 1 Philip Withnall 2015-12-25 03:29:41 EST
Created attachment 1109353 [details]
File: backtrace
Comment 2 Philip Withnall 2015-12-25 03:29:42 EST
Created attachment 1109354 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-02-26 12:44:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 09:30:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:22:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.